/* 
Theme Name: Soma
Theme URI: https://business-software.tech/
Description: Soma is a child theme of Hello Elementor, created by Lekker Tech
Author: Lekker Tech Team
Author URI: https://business-software.tech/
Template: hello-elementor
Version: 2.0.0
Text Domain: soma
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: Soma, flexible-header, custom-colors, custom-menu
*/

/* Add your custom styles here */

body {
  color: var(--e-global-color-primary);
  font-family: var(--e-global-typography-primary-font-family), Sans-serif;
  font-size: var(--e-global-typography-primary-font-size);
  font-weight: var(--e-global-typography-primary-font-weight);
}
a {
  color: var(--e-global-color-secondary);
  &:hover {
    color: var(--e-global-color-primary);
  }
}
/* Header */
#site-header {
  z-index: 9;
  background: #fff;
  transition: all ease 0.3s;
  top: 0;
  left: 0;
  right: 0;
  .site-branding a {
    height: 70px;
    transition: all ease 0.3s;
    img {
      max-height: 100%;
    }
  }
  &.scrolled {
    position: fixed;
    padding: 0;
    -moz-box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    -webkit-box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    .site-branding a {
      transform: scale(0.7);
    }
  }
  @media only screen and (max-width: 768px) {
    padding: 0;
    .site-branding {
      transform: scale(0.7);
    }
  }
}
.site-title {
  a {
    display: flex;
    flex-direction: column;
    text-align: center;
    text-transform: uppercase;
    font-weight: 700;
    color: var(--e-global-color-primary);
    transition: all ease 0.3s;
    &:hover {
      color: var(--e-global-color-secondary);
    }
    span:first-child {
      font-size: 32px;
      line-height: 31px;
    }
    span:nth-child(2) {
      font-size: 32px;
      line-height: 24px;
      letter-spacing: 1px;
    }
    span:nth-child(3) {
      font-size: 12px;
      line-height: 15px;
      font-weight: 400;
      letter-spacing: 1px;
    }
  }
}
/* Menu */
.site-navigation {
  .current-menu-item a,
  a:hover {
    color: var(--e-global-color-secondary);
  }
  a {
    color: var(--e-global-color-primary);
    transition: all ease 0.3s;
  }
}
/*buttons */
.btn-primary,
.top-cta a {
  background-color: var(--e-global-color-accent);
  border-color: var(--e-global-color-accent);
  color: #fff;
  padding: 20px 15px 20px 15px;
  transition: all ease 0.3s;
  &:hover {
    color: var(--e-global-color-primary);
    background-color: var(--e-global-color-5d058e0);
    border-color: var(--e-global-color-5d058e0);
  }
}
.top-cta a {
  padding: 8px 15px;
}
/* Fonts */
h1,
.elementor-widget-heading h1.elementor-heading-title {
  font-size: 24px;
}
h2,
.elementor-widget-heading h2.elementor-heading-title {
  font-size: 24px;
}
@media only screen and (min-width: 769px) {
  h1,
  .elementor-widget-heading h1.elementor-heading-title {
    font-size: 48px;
  }
  body .bdt-prime-slider-tango .bdt-title {
    font-size: 32px;
  }
}
/* Prime slider*/
body .bdt-prime-slider-tango .bdt-content-wrap {
  display: flex;
  flex-direction: column-reverse;
}
.bdt-rubix-slider.bdt-slide-style-1 .bdt-thumb-slider {
  display: none !important;
}
.bdt-rubix-slider.bdt-slide-style-1 {
  padding-top: 0 !important;
}
body .bdt-prime-slider-tango .bdt-title a:hover,
body .bdt-rubix-slider .bdt-main-slider .bdt-title a:hover,
body .bdt-rubix-slider .bdt-main-slider .bdt-category a:hover,
body .bdt-rubix-slider .bdt-main-slider .bdt-read-more a:hover {
  color: var(--e-global-color-secondary);
}
body .bdt-rubix-slider .bdt-main-slider .bdt-read-more a i:after {
  background-color: var(--e-global-color-secondary);
}
body .bdt-rubix-slider .bdt-main-slider .bdt-img-wrap::before {
  background: linear-gradient(
    180deg,
    rgba(144, 156, 168, 0) 0%,
    rgba(144, 156, 168, 0.57) 100%
  );
}
/* Banners */
.lt-banner {
  position: relative;
  @media only screen and (min-width: 769px) {
    overflow: hidden;
    &::after {
      display: block;
      content: "";
      background-image: url(/wp-content/uploads/2024/08/bg-body.webp);
      position: absolute;
      top: 0;
      right: 0;
      left: 50%;
      bottom: 0;
      background-position: center;
      background-size: cover;
      background-repeat: no-repeat;
      opacity: 1;
      transition: none;
    }
  }
}
/* Forms */
.form-dark {
  form {
    color: #fff;
    font-weight: 400;
  }
  input[type="date"],
  input[type="email"],
  input[type="number"],
  input[type="password"],
  input[type="search"],
  input[type="tel"],
  input[type="text"],
  input[type="url"],
  select,
  textarea {
    border: 1px solid #fff;
    border-radius: 0;
    background: var(--e-global-color-primary);
    color: #fff;
    margin-top: 5px;
  }
  textarea {
    height: 129px;
  }
  ::placeholder {
    color: #fff;
    opacity: 1;
  }

  ::-ms-input-placeholder {
    color: #fff;
  }
}
/* treatments grid */
.service-image-url {
  height: 200px;
  width: 100%;
  background-repeat: no-repeat;
  background-size: 100% auto;
  background-position: center;
  transition: background-size 0.5s ease-in-out; /* Smooth transition */
  &:hover {
    background-size: 105%;
  }
}
.service-card {
  background: var(--e-global-color-primary);
  color: #fff;
}
.service-title {
  margin-left: 15px;
  font-size: 16px;
}
.service-link {
  margin-top: 15px;
  display: inline-block;
}
.service-excerpt {
  margin-left: 15px;
  margin-right: 15px;
  font-weight: 300;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
  text-overflow: ellipsis;
  line-clamp: 2;
  max-height: 3em;
  line-height: 1.5em;
}
.blogposts-grid {
  .lt-cat {
    padding: 0 15px;
    text-transform: uppercase;
    a:hover {
      color: #fff;
    }
  }
  .service-title {
    font-size: 24px;
  }
  .service-image-url {
    height: 350px;
  }
  .service-card {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    &.no-thumbnail {
      align-items: center;
    }
    &:nth-child(4n) {
      background: var(--e-global-color-73f67ed);
      color: var(--e-global-color-primary);
    }
    &:nth-child(4n-3) {
      background: #fff;
      color: var(--e-global-color-primary);
      a:hover {
        color: var(--e-global-color-primary);
      }
    }
  }
  a {
    text-decoration: none;
  }
}
@media only screen and (max-width: 768px) {
  .services-grid {
    display: block !important;
  }
  .service-card {
    flex: auto !important;
    margin: 15px;
  }
  .service-image-url {
    background-size: cover;
  }
}
